# Create a General Ledger Account

`POST /lokta-lms/api/v1/glaccounts`

Creates a general ledger account in the chart of accounts.

Note: You may optionally create Hierarchical Chart of Accounts by using the "parentId" property of an Account
Mandatory Fields:
name, glCode, type, usage and manualEntriesAllowed

## Request body (application/json)
- `description` (string)
- `glCode` (string)
- `manualEntriesAllowed` (boolean)
- `name` (string)
- `parentId` (integer)
- `tagId` (integer)
- `type` (integer)
- `usage` (integer)

## Responses
- `200`: OK

## Response fields
- `resourceId` (integer)

## Example request (cURL)
```bash
curl -X POST \
  'https://default.lokta.tech/lokta-lms/api/v1/glaccounts' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "description": "Desc",
  "glCode": "100001",
  "manualEntriesAllowed": true,
  "name": "Cash at Bangalore",
  "parentId": 1,
  "tagId": 10,
  "type": 1,
  "usage": 1
}'
```

## Example response
```json
{
  "resourceId": 22
}
```

Interactive: https://developer.lokta.ai/reference#operation/createGLAccount
